Package twisted :: Package manhole :: Module explorer :: Class ExplorerModule |
[frames | no frames]

## Class ExplorerModule

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                               ExplorerModule

Method Summary
| `__init__(self, module, identifier)`
Inherited from Explorer
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``view_get_refcount`(self, perspective)`
Inherited from Cacheable
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally.
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me.
Inherited from Copyable
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Instance Variable Summary
| `doc`: documentation string for the module
| `file`: the file the module is defined in
| `name`: the name the module was defined as

Class Variable Summary
`list` | `attributeGroups` = `['classes', 'functions', 'data']`
`list` | `properties` = `['name', 'doc', 'file']`
Inherited from Explorer
`list` | `accessors` = `['get_refcount']`
`NoneType` | `id` = None
`NoneType` | `identifier` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Instance Variable Details

### doc documentation string for the module

### file the file the module is defined in Attribute groups: classes -- the public classes provided by the module functions -- the public functions provided by the module data -- the public data members provided by the module ("Public" is taken to be "anything that doesn't start with _")

### name the name the module was defined as

Class Variable Details

    ### attributeGroups Type: `list` Value:
        ['classes', 'functions', 'data']

    ### properties Type: `list` Value:
        ['name', 'doc', 'file']

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net